gnome-mag: GNOME::Magnifier::ZoomRegion Interface Reference

# GNOME::Magnifier::ZoomRegion Interface Reference

`import "GNOME_Magnifier.idl";`

## Public Types
enum | AlignPolicy { ALIGN_CENTER, ALIGN_MIN, ALIGN_MAX }
enum | ScrollingPolicy { SCROLL_FASTEST, SCROLL_FAST, SCROLL_NORMAL, SCROLL_SMOOTH, SCROLL_SMOOTHEST }
enum | ColorBlindFilter { COLORBLIND_FILTER_T_NO_FILTER, COLORBLIND_FILTER_T_SELECTIVE_SATURATE_RED, COLORBLIND_FILTER_T_SELECTIVE_SATURATE_GREEN, COLORBLIND_FILTER_T_SELECTIVE_SATURATE_BLUE, COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE_RED, COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE_GREEN, COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE_BLUE, COLORBLIND_FILTER_T_HUE_SHIFT_POSITIVE, COLORBLIND_FILTER_T_HUE_SHIFT_NEGATIVE, COLORBLIND_FILTER_T_SELECTIVE_SATURATE, COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE, COLORBLIND_FILTER_T_MONOCHRONE_OTHERS }
## Public Member Functions
boolean | setMagFactor (in float magX, in float magY)
| Set the current x and y magnification ratio.
void | getMagFactor (out float magX, out float magY)
| Get the current x and y magnification ratios.
Bonobo::PropertyBag | getProperties ()
| Gets the current property settings for this ZoomRegion.
oneway void | setROI (in RectBounds bounds)
| Set the region of interest for the magnifier.
void | updatePointer ()
| Update the pointer image.
void | markDirty (in RectBounds dirtyRegion)
| Mark the zoom region or a sub-region 'dirty' and in need of updating.
RectBounds | getROI ()
| Query a specific zoom region for its ROI.
void | moveResize (in RectBounds bounds)
| Move and resize the specified zoom region on the target display.
void | dispose ()
| Remove the specified zoom region from the magnifier and destroy it.
oneway void | setPointerPos (in long mouse_x, in long mouse_y)
| Set the position where the mouse pointer is to be drawn in this zoom-region, in screen coordinates.
void | setContrast (in float R, in float G, in float B)
| Set the zoom region image contrast.
void | getContrast (out float R, out float G, out float B)
| Get the zoom region image contrast.
void | setBrightness (in float R, in float G, in float B)
| Set the zoom region image brightness.
void | getBrightness (out float R, out float G, out float B)
| Get the zoom region image brightness.

## Detailed Description

Definition at line 40 of file GNOME_Magnifier.idl.

## Member Enumeration Documentation

enum GNOME::Magnifier::ZoomRegion::AlignPolicy

Enumerator:

  ALIGN_CENTER |
  ALIGN_MIN |
  ALIGN_MAX |

Definition at line 42 of file GNOME_Magnifier.idl.

enum GNOME::Magnifier::ZoomRegion::ScrollingPolicy

Enumerator:

  SCROLL_FASTEST |
  SCROLL_FAST |
  SCROLL_NORMAL |
  SCROLL_SMOOTH |
  SCROLL_SMOOTHEST |

Definition at line 48 of file GNOME_Magnifier.idl.

enum GNOME::Magnifier::ZoomRegion::ColorBlindFilter

Enumerator:

  COLORBLIND_FILTER_T_NO_FILTER |
  COLORBLIND_FILTER_T_SELECTIVE_SATURATE_RED |
  COLORBLIND_FILTER_T_SELECTIVE_SATURATE_GREEN |
  COLORBLIND_FILTER_T_SELECTIVE_SATURATE_BLUE |
  COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE_RED |
  COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE_GREEN |
  COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE_BLUE |
  COLORBLIND_FILTER_T_HUE_SHIFT_POSITIVE |
  COLORBLIND_FILTER_T_HUE_SHIFT_NEGATIVE |
  COLORBLIND_FILTER_T_SELECTIVE_SATURATE |
  COLORBLIND_FILTER_T_SELECTIVE_DESSATURATE |
  COLORBLIND_FILTER_T_MONOCHRONE_OTHERS |

Definition at line 56 of file GNOME_Magnifier.idl.

## Member Function Documentation

boolean GNOME::Magnifier::ZoomRegion::setMagFactor | ( | in float | magX,
|  | in float | magY |
| ) |  |  |

Set the current x and y magnification ratio.

(Convenience method for setting mag-factor-x and mag-factor-y properties). Note that if the zoom region's target hasn't yet been realized or mapped to the display, we will not be able to detect failure, so a return of TRUE must be taken on advisement if the operation is performed on a newly-created zoom region.

Parameters:

  | magX | the magnification factor in the x direction for the specified region.
  | magY | the magnification factor in the x direction for the specified region.

Returns:
  TRUE if operation succeeded, FALSE if the requested mag factor cannot be set.

void GNOME::Magnifier::ZoomRegion::getMagFactor | ( | out float | magX,
|  | out float | magY |
| ) |  |  |

Get the current x and y magnification ratios.

(Convenience method for getting mag-factor-x and mag-factor-y properties).

Parameters:

  | magX,: | the magnification factor in the x direction for the specified region.
  | magY,: | the magnification factor in the x direction for the specified region.

Bonobo::PropertyBag GNOME::Magnifier::ZoomRegion::getProperties | ( |  | ) |

Gets the current property settings for this ZoomRegion.

Properties managed by the ZoomRegion include "smoothing-type", "contrast", "inverse-video", "border-size", "border-color", "x-alignment", "y-alignment", "is-managed", "viewport", "mag-factor-x", "mag-factor-y".

Returns:
  a Bonobo::PropertyBag containing the ZoomRegion's properties.

oneway void GNOME::Magnifier::ZoomRegion::setROI | ( | in RectBounds | bounds | ) |

Set the region of interest for the magnifier.

Parameters:

  | bounds,: | the ROI bounding box

void GNOME::Magnifier::ZoomRegion::updatePointer | ( |  | ) |

Update the pointer image.

Note:
  This was added due the need to the Magnifier object signalize all ZoomRegion objects about a pointer image update.

void GNOME::Magnifier::ZoomRegion::markDirty | ( | in RectBounds | dirtyRegion | ) |

Mark the zoom region or a sub-region 'dirty' and in need of updating.

Note:
  This region will be clipped to the area currently visible in the target region.

Parameters:

  | dirtyRegion,: | the bounding box of the dirty region.

RectBounds GNOME::Magnifier::ZoomRegion::getROI | ( |  | ) |

Query a specific zoom region for its ROI.

Returns:
  the RectBounds bounding box of the zoom ROI.

void GNOME::Magnifier::ZoomRegion::moveResize | ( | in RectBounds | bounds | ) |

Move and resize the specified zoom region on the target display.

(Convenience method for setting "viewport" property).

Parameters:

  | bounds,: | the bounding box, in target display coordinates, of the ZoomRegion's display viewport.

void GNOME::Magnifier::ZoomRegion::dispose | ( |  | ) |

Remove the specified zoom region from the magnifier and destroy it.

oneway void GNOME::Magnifier::ZoomRegion::setPointerPos | ( | in long | mouse_x,
|  | in long | mouse_y |
| ) |  |  |

Set the position where the mouse pointer is to be drawn in this zoom-region, in screen coordinates.

Parameters:

  | mouse_x,: | the x screen coordinate of the pointer hotspot
  | mouse_y,: | the y screen coordinate of the pointer hotspot

void GNOME::Magnifier::ZoomRegion::setContrast | ( | in float | R,
|  | in float | G,
|  | in float | B |
| ) |  |  |

Set the zoom region image contrast.

Set the contrast applied to each image component (red, green and blue). The input for each component must be in the range -1 and 1, otherwise they will be clamped to this interval. The value -1 means reduce 100% the contrast, resulting in a gray image. The value 1 means increase 100% the contrast, resulting in the R, G and B values being black or white. The value 0 means no change in contrast.

Parameters:

  | R | the amount of red in the contrasted image.
  | G | the amount of green in the contrasted image.
  | B | the amount of green in the contrasted image.

void GNOME::Magnifier::ZoomRegion::getContrast | ( | out float | R,
|  | out float | G,
|  | out float | B |
| ) |  |  |

Get the zoom region image contrast.

Get the contrast applied to each image component (red, green and blue).

Parameters:

  | R | the amount of red in the contrasted image.
  | G | the amount of green in the contrasted image.
  | B | the amount of green in the contrasted image.

void GNOME::Magnifier::ZoomRegion::setBrightness | ( | in float | R,
|  | in float | G,
|  | in float | B |
| ) |  |  |

Set the zoom region image brightness.

Set the brightness applied to each image component (reg, green and blue). The input for each component must be in the range between -1 and 1, if the are bigger or lower then this range, the value will be clamped to the interval. The value -1 means reduce 100% the brightness, resulting in a black image. The value 1 means increase 100% the brightness, resulting in a white image.

Parameters:

  | R | the brightness applied to the red component.
  | G | the brightness applied to the green component.
  | B | the brightness applied to the blue component.

void GNOME::Magnifier::ZoomRegion::getBrightness | ( | out float | R,
|  | out float | G,
|  | out float | B |
| ) |  |  |

Get the zoom region image brightness.

Get the brightness applied to each image component (red, green and blue).

Parameters:

  | R | the brightness applied to the red component.
  | G | the brightness applied to the green component.
  | B | the brightness applied to the blue component.

The documentation for this interface was generated from the following file:

- GNOME_Magnifier.idl